ContinuationSupport (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.continuation

## Class ContinuationSupport

- java.lang.Object
- - org.eclipse.jetty.continuation.ContinuationSupport

-     public class ContinuationSupport
      extends Object

  ContinuationSupport. Factory class for accessing Continuation instances, which with either be native to the container (jetty >= 6), a servlet 3.0 or a faux continuation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContinuationSupport()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Continuation` | `getContinuation(javax.servlet.ServletRequest request)` Get a Continuation.
    `static Continuation` | `getContinuation(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)` Deprecated. use `getContinuation(ServletRequest)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContinuationSupport

          public ContinuationSupport()

  - ### Method Detail

    - #### getContinuation

          public static Continuation getContinuation(javax.servlet.ServletRequest request)

      Get a Continuation. The type of the Continuation returned may vary depending on the container in which the application is deployed. It may be an implementation native to the container (eg org.eclipse.jetty.server.AsyncContinuation) or one of the utility implementations provided such as an internal `FauxContinuation` or a real implementation like `Servlet3Continuation`.
      Parameters:
        `request` - The request
      Returns:
        a Continuation instance

    - #### getContinuation

          @Deprecated
          public static Continuation getContinuation(javax.servlet.ServletRequest request,
                                                javax.servlet.ServletResponse response)

      Deprecated. use `getContinuation(ServletRequest)`
      Parameters:
        `request` - the servlet request
        `response` - the servlet response
      Returns:
        the continuation

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.